import 'package:workouttest_util/model/evaluation_attribute.dart';

class Evaluation {
  int? evaluationId;
  late String name;
  int? exerciseTypeId;
  String? unit;
  late List attributes;

  Evaluation.fromJson(Map json) {
    evaluationId = json['evaluationId'];
    name = json['name'];
    exerciseTypeId = json['exerciseTypeId'];
    unit = json['unit'];
    attributes = json['attributes'].map((attr) => EvaluationAttribute.fromJson(attr)).toList();
  }

  @override
  String toString() {
    Map<String, dynamic> json = {
      'evaluationId': evaluationId,
      'name': name,
      'exerciseTypeId': exerciseTypeId,
      'unit': unit
    };
    return json.toString();
  }
}
